Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.netbeans.api.debugger.jpda
Class ClassLoadUnloadBreakpoint

    java.lang.Object
      org.netbeans.api.debugger.Breakpoint
          org.netbeans.api.debugger.jpda.JPDABreakpoint
              org.netbeans.api.debugger.jpda.ClassLoadUnloadBreakpoint

    public final class ClassLoadUnloadBreakpoint

extends JPDABreakpoint

Notifies about class load and class unload events.
How to use it:

        DebuggerManager.addBreakpoint (ClassLoadUnloadBreakpoint.create (
            "org.netbeans.modules.editor.*",
            false,
            ClassLoadUnloadBreakpoint.TYPE_CLASS_LOADED
        ));

This breakpoint stops when some class from org.netbeans.modules.editor package is loaded.

Field Summary
`static String` | `PROP_BREAKPOINT_TYPE` Name of property for breakpoint type.
`static String` | `PROP_CLASS_EXCLUSION_FILTERS` Property name constant
`static String` | `PROP_CLASS_FILTERS` Property name constant
`static int` | `TYPE_CLASS_LOADED` Catch type property value constant.
`static int` | `TYPE_CLASS_LOADED_UNLOADED` Catch type property value constant.
`static int` | `TYPE_CLASS_UNLOADED` Catch type property value constant.

Fields inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`PROP_HIDDEN, PROP_PRINT_TEXT, PROP_SUSPEND, SUSPEND_ALL, SUSPEND_EVENT_THREAD, SUSPEND_NONE`

Fields inherited from class org.netbeans.api.debugger.Breakpoint
`PROP_DISPOSED, PROP_ENABLED, PROP_GROUP_NAME`

Method Summary
`static ClassLoadUnloadBreakpoint` | `create(int breakpointType)` Creates a new breakpoint for given parameters.
`static ClassLoadUnloadBreakpoint` | `create(String classNameFilter, boolean isExclusionFilter, int breakpointType)` Creates a new breakpoint for given parameters.
`int` | `getBreakpointType()` Returns type of breakpoint.
`String[]` | `getClassExclusionFilters()` Get list of class exclusion filters to stop on.
`String[]` | `getClassFilters()` Get list of class filters to stop on.
`void` | `setBreakpointType(int type)` Sets type of breakpoint.
`void` | `setClassExclusionFilters(String[] classExclusionFilters)` Set list of class exclusion filters to stop on.
`void` | `setClassFilters(String[] classFilters)` Set list of class filters to stop on.
`String` | `toString()` Returns a string representation of this object.

Methods inherited from class org.netbeans.api.debugger.jpda.JPDABreakpoint
`addJPDABreakpointListener, disable, enable, getPrintText, getSuspend, isEnabled, isHidden, removeJPDABreakpointListener, setHidden, setPrintText, setSuspend`

Methods inherited from class org.netbeans.api.debugger.Breakpoint
`addPropertyChangeListener, addPropertyChangeListener, dispose, firePropertyChange, getGroupName, removePropertyChangeListener, removePropertyChangeListener, setGroupName`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, wait, wait, wait`

Field Detail

### PROP_CLASS_FILTERS

    public static final String PROP_CLASS_FILTERS

  Property name constant

  See Also:
    Constant Field Values

### PROP_CLASS_EXCLUSION_FILTERS

    public static final String PROP_CLASS_EXCLUSION_FILTERS

  Property name constant

  See Also:
    Constant Field Values

### PROP_BREAKPOINT_TYPE

    public static final String PROP_BREAKPOINT_TYPE

  Name of property for breakpoint type.

  See Also:
    Constant Field Values

### TYPE_CLASS_LOADED

    public static final int TYPE_CLASS_LOADED

  Catch type property value constant.

  See Also:
    Constant Field Values

### TYPE_CLASS_UNLOADED

    public static final int TYPE_CLASS_UNLOADED

  Catch type property value constant.

  See Also:
    Constant Field Values

### TYPE_CLASS_LOADED_UNLOADED

    public static final int TYPE_CLASS_LOADED_UNLOADED

  Catch type property value constant.

  See Also:
    Constant Field Values

Method Detail

### create

    public static ClassLoadUnloadBreakpoint create(String classNameFilter,
                                                   boolean isExclusionFilter,
                                                   int breakpointType)

  Creates a new breakpoint for given parameters.

  Parameters:
    `classNameFilter` - class name filter
    `isExclusionFilter` - if true filter is used as exclusion filter
    `breakpointType` - one of constants: TYPE_CLASS_LOADED, TYPE_CLASS_UNLOADED, TYPE_CLASS_LOADED_UNLOADED
  Returns:
    a new breakpoint for given parameters

### create

    public static ClassLoadUnloadBreakpoint create(int breakpointType)

  Creates a new breakpoint for given parameters.

  Parameters:
    `breakpointType` - one of constants: TYPE_CLASS_LOADED, TYPE_CLASS_UNLOADED, TYPE_CLASS_LOADED_UNLOADED
  Returns:
    a new breakpoint for given parameters

### getBreakpointType

    public int getBreakpointType()

  Returns type of breakpoint.

  Returns:
    type of breakpoint

### setBreakpointType

    public void setBreakpointType(int type)

  Sets type of breakpoint.

  Parameters:
    `type` - a new value of breakpoint type property

### getClassFilters

    public String[] getClassFilters()

  Get list of class filters to stop on.

  Returns:
    list of class filters to stop on

### setClassFilters

    public void setClassFilters(String[] classFilters)

  Set list of class filters to stop on.

  Parameters:
    `classFilters` - a new value of class filters property

### getClassExclusionFilters

    public String[] getClassExclusionFilters()

  Get list of class exclusion filters to stop on.

  Returns:
    list of class exclusion filters to stop on

### setClassExclusionFilters

    public void setClassExclusionFilters(String[] classExclusionFilters)

  Set list of class exclusion filters to stop on.

  Parameters:
    `classExclusionFilters` - a new value of class exclusion filters property

### toString

    public String toString()

  Returns a string representation of this object.

  Overrides:
    `toString` in class `Object`
  Returns:
    a string representation of the object

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| org.netbeans.api.debugger.jpda/2 2.4.22
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Built on December 7 2006. | Portions Copyright 1997-2005 Sun Microsystems, Inc. All rights reserved.